/**
*    Copyright (c)2003 Sascha Ledinsky
*
*    This file is part of JPatch.
*
*    JPatch is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    JPatch is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with JPatch; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/

package jpatch;

import javax.swing.*;
import javax.swing.filechooser.*;
import java.io.File;

public class SPatchFilter extends FileFilter
{
	public boolean accept(File f)
	{
		if (f.isDirectory()) return true;
		String extension = Utils.getExtension(f);
		if (extension != null)
		{
			if (extension.equals(Utils.sPatch)) return true;
		}
	 	return false;
	}
	public String getDescription()
	{
    		return "sPatch models";
	}
}
