/**
 *         ===============================
 *          JPatch open source 3D modeler
 *         ===============================
 *      Copyright (c)2003 JPatch developer team
 *         see http://jpatch.sourceforge.net
 *
 * This file is part of JPatch.
 *
 * JPatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * JPatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JPatch; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Heiko Irrgang
 * @version $Id: Modifier.java,v 1.3 2003/06/02 07:17:10 god64 Exp $ $Date: 2003/06/02 07:17:10 $
 * last changed by $Author: god64 $
 *
 * Class: Modifier
 * Hungarian notation prefix: *not yet... my brain dont works in hungarian notation... will go over it when finished*
 *
 **/

package jpatch.plugin;

import jpatch.*;
import java.awt.event.*;

public class Modifier extends Plugin implements MouseListener, MouseMotionListener {
	public GraphicsWindow gw;
	private MouseMotionListener mml;
	private MouseListener ml;

	public Modifier() {
	}

	public Modifier(GraphicsWindow gw, String name) {
		super(gw, name);
		this.gw = gw;
	}

	public void exec() {
	}

	public void mouseDragged(MouseEvent e) {}

	public void mouseMoved(MouseEvent e) {}

	public void mouseClicked(MouseEvent e) {}

	public void mouseEntered(MouseEvent e) {}

	public void mouseExited(MouseEvent e) {}

	public void mousePressed(MouseEvent e) {}

	public void mouseReleased(MouseEvent e) {}

	public void requestMouseListener() {
		for (int i=0;i<4;i++) {
			getGraphicsPanel(i).setPluginHasMouse(true);
			getGraphicsPanel(i).removeAllMouseListeners();
			getGraphicsPanel(i).removeAllMouseMotionListeners();
			getGraphicsPanel(i).addMouseListener(this);
			getGraphicsPanel(i).addMouseMotionListener(this);
		}
	}

	public void freeMouseListener() {
		for (int i=0;i<4;i++) {
			getGraphicsPanel(i).setPluginHasMouse(false);
		}
		gw.editMeshToolBar.selectPointButton.setSelected(true);
		gw.changeAction(GraphicsWindow.SELECT_MOVE);
	}

}
