/**
 *         ===============================
 *          JPatch open source 3D modeler
 *         ===============================
 *      Copyright (c)2003 JPatch developer team
 *         see http://jpatch.sourceforge.net
 *
 * This file is part of JPatch.
 *
 * JPatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * JPatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JPatch; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Heiko Irrgang
 * @version $Id: TestIO.java,v 1.2 2003/05/18 08:03:06 god64 Exp $ $Date: 2003/05/18 08:03:06 $
 * last changed by $Author: god64 $
 *
 * Class: TestIO
 * Hungarian notation prefix: *not yet... my brain dont works in hungarian notation... will go over it when finished*
 *
 **/

import jpatch.*;

public class TestIO extends jpatch.plugin.IO {
	public final static String name=new String("TestIO Plugin");
	public final static String[] suffixes=new String[] {".dxf",".obj",".mdl"};
	public final static boolean writeSupported=true;
	public final static boolean readSupported=true;

	private GraphicsWindow gw;

	public TestIO(GraphicsWindow gw) {
		this.gw=gw;
	}

	public void read(String filename) {
		System.out.println("TestIO reading "+filename);
	}
	public void write(String filename) {
		System.out.println("TestIO writing "+filename);
	}
}
