/**
*
* JPatch demo javascript
*
* This script asks for radius and number of segments
* and creates a sphere
*
**/

importPackage(Packages.jpatch);
importPackage(Packages.javax.vecmath);
var layer = mesh.gw.activeLayer;
var attribute = java.lang.reflect.Array.newInstance(java.lang.String,3);
var value = java.lang.reflect.Array.newInstance(java.lang.String,3);
attribute[0] = "radius:";
attribute[1] = "segments:";
attribute[2] = "Plane (XY,XZ or ZY):";
value[0] = "5.0";
value[1] = "4";
value[2] = "XY";
test = OptionDialog.getValues(mesh.frame,"Create circle",attribute,value);
if (test)
{
	mesh.unselectAll();
        var radius = (new java.lang.Float(value[0]).floatValue());
	var segments = (new java.lang.Integer(value[1]).intValue());
	var curvature = Utils.optimumCurvature(segments);
	var plane = value[2];
	if (plane == "XY" || plane == "XZ" || plane == "ZY" || plane == "ZY") {
		curve = new Curve();
		for (s = 0; s < segments; s++)
		{
			x = Math.cos(s/segments*2*Math.PI)*radius;
			y = Math.sin(s/segments*2*Math.PI)*radius;
			if (plane == "XY") {
				cp = new ControlPoint(new Vector3f(x,y,0),false,layer);
			}
			if (plane == "XZ") {
				cp = new ControlPoint(new Vector3f(x,0,y),false,layer);
			}
			if (plane == "ZY" || plane == "YZ") {
				cp = new ControlPoint(new Vector3f(0,x,y),false,layer);
			}
			cp.inCurvature = curvature;
			cp.outCurvature = curvature;
			cp.isSelected = true;
			curve.add(cp);
		}
		curve.closed = true;
		mesh.add(curve);
	}
}