/**
*
* JPatch demo javascript
*
* This script creates a planar grid
*
**/

importPackage(Packages.jpatch);
importPackage(Packages.javax.vecmath);
var layer = mesh.gw.activeLayer;
var attribute = java.lang.reflect.Array.newInstance(java.lang.String,5);
var value = java.lang.reflect.Array.newInstance(java.lang.String,5);
attribute[0] = "x steps:";
attribute[1] = "y steps:";
attribute[2] = "x stepsize:";
attribute[3] = "y stepsize:";
attribute[4] = "Plane (XY,XZ or ZY):";
value[0] = "8";
value[1] = "8";
value[2] = "1.0";
value[3] = "1.0";
value[4] = "XY";
test = OptionDialog.getValues(mesh.frame,"Create Grid",attribute,value);
if (test)
{
	mesh.unselectAll();
        var xSteps = (new java.lang.Integer(value[0]).intValue());
        var ySteps = (new java.lang.Integer(value[1]).intValue());
        var xSize = (new java.lang.Float(value[2]).floatValue());
        var ySize = (new java.lang.Float(value[3]).floatValue());
        var plane = value[4];
        if (plane == "XY" || plane == "XZ" || plane == "ZY" || plane == "ZY") {
		var curves = java.lang.reflect.Array.newInstance(Curve,ySteps + 1);
		for (y = 0; y <= ySteps; y++) {
			ycurve = new Curve();
			for (x = 0; x <= xSteps; x++) {
				if (plane == "XY") {
					cp = new ControlPoint(new Vector3f(x*xSize-(xSteps*xSize/2),y*ySize-(ySteps*ySize/2),0),false,layer);
				}
				if (plane == "XZ") {
					cp = new ControlPoint(new Vector3f(x*xSize-(xSteps*xSize/2),0,y*ySize-(ySteps*ySize/2)),false,layer);
				}
				if (plane == "ZY" || plane == "YZ") {
					cp = new ControlPoint(new Vector3f(0,x*xSize-(xSteps*xSize/2),y*ySize-(ySteps*ySize/2)),false,layer);
				}
				cp.isSelected = true;
				ycurve.add(cp);
			}
			curves[y] = ycurve;
			ycurve.closed = false;
			mesh.add(ycurve);
		}
		for (x = 0; x <= xSteps; x++) {
			xcurve = new Curve();
			for (y = 0; y <= ySteps; y++) {
				ycurve = curves[y];
				cp = ycurve.get(x);
				ncp = new ControlPoint(cp);
				ncp.weldedTo = cp;
				ncp.isSelected = true;
				xcurve.add(ncp);
			}
			xcurve.closed = false;
			mesh.add(xcurve);
		}
	}
}
 

